{pkgs, ...}: {
  home = {
    packages = with pkgs; [
      easyeffects
    ];
    file = let
      # An Easyeffects equalizer profile that sounds good to me
      easyEffectsProfile = ''
        {
          "output": {
            "blocklist": [],
            "crystalizer#0": {
              "band0": {
                "bypass": false,
                "intensity": 0.0,
                "mute": false
              },
              "band1": {
                "bypass": false,
                "intensity": -1.0,
                "mute": false
              },
              "band2": {
                "bypass": false,
                "intensity": -2.0,
                "mute": false
              },
              "band3": {
                "bypass": false,
                "intensity": -3.0,
                "mute": false
              },
              "band4": {
                "bypass": false,
                "intensity": -4.0,
                "mute": false
              },
              "band5": {
                "bypass": false,
                "intensity": -5.0,
                "mute": false
              },
              "band6": {
                "bypass": false,
                "intensity": -6.0,
                "mute": false
              },
              "band7": {
                "bypass": false,
                "intensity": -7.0,
                "mute": false
              },
              "band8": {
                "bypass": false,
                "intensity": -8.0,
                "mute": false
              },
              "band9": {
                "bypass": false,
                "intensity": -9.0,
                "mute": false
              },
              "band10": {
                "bypass": false,
                "intensity": -10.0,
                "mute": false
              },
              "band11": {
                "bypass": false,
                "intensity": -11.0,
                "mute": false
              },
              "band12": {
                "bypass": false,
                "intensity": -12.0,
                "mute": false
              },
              "bypass": false,
              "input-gain": 0.0,
              "output-gain": 0.0
            },
            "equalizer#0": {
              "balance": 0.0,
              "bypass": false,
              "input-gain": 0.0,
              "left": {
                "band0": {
                  "frequency": 32.0,
                  "gain": 1.1,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band1": {
                  "frequency": 64.0,
                  "gain": 1.16,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band2": {
                  "frequency": 125.0,
                  "gain": 3.33,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band3": {
                  "frequency": 250.0,
                  "gain": 1.53,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band4": {
                  "frequency": 500.0,
                  "gain": -1.83,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band5": {
                  "frequency": 1000.0,
                  "gain": -0.58,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band6": {
                  "frequency": 2000.0,
                  "gain": 1.42,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band7": {
                  "frequency": 4000.0,
                  "gain": 4.73,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band8": {
                  "frequency": 16000.0,
                  "gain": 7.62,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band9": {
                  "frequency": 156.38,
                  "gain": 2.84,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                }
              },
              "mode": "IIR",
              "num-bands": 10,
              "output-gain": 0.0,
              "pitch-left": 0.0,
              "pitch-right": 0.0,
              "right": {
                "band0": {
                  "frequency": 32.0,
                  "gain": 1.1,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band1": {
                  "frequency": 64.0,
                  "gain": 1.16,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band2": {
                  "frequency": 125.0,
                  "gain": 3.33,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band3": {
                  "frequency": 250.0,
                  "gain": 1.53,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band4": {
                  "frequency": 500.0,
                  "gain": -1.83,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band5": {
                  "frequency": 1000.0,
                  "gain": -0.58,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band6": {
                  "frequency": 2000.0,
                  "gain": 1.42,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band7": {
                  "frequency": 4000.0,
                  "gain": 4.73,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band8": {
                  "frequency": 16000.0,
                  "gain": 7.62,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                },
                "band9": {
                  "frequency": 156.38,
                  "gain": 2.84,
                  "mode": "RLC (BT)",
                  "mute": false,
                  "q": 4.36,
                  "slope": "x1",
                  "solo": false,
                  "type": "Bell"
                }
              },
              "split-channels": false
            },
            "plugins_order": [
              "equalizer#0",
              "crystalizer#0"
            ]
          }
        }
      '';
    in {
      # Easyeffects profile
      ".config/easyeffects/output/JimHeadphones.json".text = easyEffectsProfile;
    };
  };
}
