{
  # Enable a terminal emulator
  programs.foot = {
    enable = true;
    server.enable = false;
    settings = {
      main = let
        fonts = import ../common/fonts.nix;
      in {
        term = "xterm-256color";
        font = "${fonts.nerd}:size=14.7";
      };
      cursor = {
        style = "beam";
      };
      colors = let
        colors = import ../common/colors.nix;
      in {
        alpha = "0.65";
        background = "${colors.dark}";
        regular0 = "3f3f3f";
        regular1 = "cc0000";
        regular2 = "4e9a06";
        regular3 = "c4a000";
        regular4 = "94bff3";
        regular5 = "85678f";
        regular6 = "06989a";
        regular7 = "dcdccc";
        bright0 = "545454";
        bright1 = "fc5454";
        bright2 = "8ae234";
        bright3 = "fce94f";
        bright4 = "94bff3";
        bright5 = "b294bb";
        bright6 = "93e0e3";
        bright7 = "ffffff";
      };
      key-bindings = {
        search-start = "Control+f";
      };
    };
  };
}
