{pkgs, ...}: {
  home = {
    packages = with pkgs; [
      mangohud
    ];
    file = let 
      # Mangohud config file
      mangoConf = ''
        table_columns=2
        frametime=0
        legacy_layout=0
        font_scale=0.80
        background_alpha=0.25
        
        # Set the loads and such
        exec=echo $(echo $XDG_CURRENT_DESKTOP | sed 's/./\U&/') on $(cat /etc/os-release | grep PRETTY_NAME | cut -d '"' -f 2)
        fps
        fps_color_change
        ram
        vram
        cpu_stats
        cpu_load_change
        gpu_stats
        gpu_load_change
        frame_timing
      '';
    in {
      # Mangohud config
      ".config/MangoHud/MangoHud.conf".text = mangoConf;
    };
  };
}
