{pkgs, ...}: {
  # Swappy config file
  home = {
    packages = with pkgs; [
      pcmanfm-qt
    ];
    file = let 
      # File manager config
      pcmanConf = ''
        [Behavior]
        BookmarkOpenMethod=current_tab
        ConfirmDelete=true
        RecentFilesNumber=0

        [Desktop]
        HideItems=false
        SortColumn=name
        SortFolderFirst=true
        SortHiddenLast=false
        SortOrder=ascending

        [FolderView]
        Mode=icon
        ScrollPerPixel=true
        ShadowHidden=true
        ShowFilter=false
        ShowFullNames=true
        ShowHidden=true
        SortCaseSensitive=false
        SortColumn=mtime
        SortFolderFirst=true
        SortHiddenLast=false
        SortOrder=descending

        [Places]
        HiddenPlaces=menu://applications/, network:///, computer:///, /home/jimbo/Desktop

        [System]
        Archiver=file-roller
        Terminal=foot

        [Thumbnail]
        MaxExternalThumbnailFileSize=-1
        MaxThumbnailFileSize=4096
        ShowThumbnails=true
        ThumbnailLocalFilesOnly=true

        [Window]
        AlwaysShowTabs=false
        PathBarButtons=true
        ShowMenuBar=true
        ShowTabClose=true
        SwitchToNewTab=true
        TabPaths=@Invalid()
      '';
    in {
      # PCManFM config                                   
      ".config/pcmanfm-qt/default/settings.conf".text = pcmanConf;
    };
  };
}
