{pkgs, inputs, ...}: {
  # Select default apps
  xdg.mimeApps.defaultApplications = {
    "inode/directory" = ["pcmanfm-qt.desktop"];
    "text/plain" = ["nvim.desktop"];
    "image/png" = ["imv.desktop"];
    "image/jpeg" = ["imv.desktop"];
    "video/*" = ["mpv.desktop"];
  };

  # Set dconf settings
  dconf.settings = {
    "org/gnome/desktop/interface/color-scheme" = {
      color-scheme = "prefer-dark";
    };
    "org/virt-manager/virt-manager/connections" = {
      autoconnect = ["qemu:///system"];
      uris = ["qemu:///system"];
    };
  };

  home.file = let
    alsoftConf = ''
      drivers=pulse
    '';
  in {
    # Alsoft config
    ".alsoftrc".text = alsoftConf;
  };
}
