{config, pkgs, ...}: {
  # Enable Sway and write some scripts
  wayland.windowManager.sway = {
    enable = true;
    #package = pkgs.unstable.sway;
    wrapperFeatures.gtk = true;
    checkConfig = false;
    config = let
      colors = import ../common/colors.nix;
      fonts = import ../common/fonts.nix;
    in {
      # Theming settings
      colors = {
        focused = {
          border = "#${colors.prime}";
          background = "#${colors.prime}";
          text = "#FFFFFF";
          indicator = "#${colors.actSplit}";
          childBorder = "#${colors.prime}";
        };
        focusedInactive = {
          border = "#${colors.accent}";
          background = "#${colors.accent}";
          text = "#${colors.text}";
          indicator = "#${colors.split}";
          childBorder = "#${colors.accent}";
        };
        unfocused = {
          border = "#${colors.dark}";
          background = "#${colors.dark}";
          text = "#${colors.text}";
          indicator = "#${colors.split}";
          childBorder = "#${colors.split}";
        };
        urgent = {
          border = "#${colors.urgent}";
          background = "#${colors.urgent}";
          text = "#${colors.text}";
          indicator = "#${colors.urgent}";
          childBorder = "#${colors.urgent}";
        };
      };
      fonts = {
        names = ["${fonts.main}"];
        size = 10.5;
      };
      gaps = {
        inner = 5;
        smartGaps = true;
      };
    };
  };
}
