{pkgs, ...}: {
  # Enable AppImages
  programs.appimage = {
    enable = true;
    binfmt = true;
  };

  # Network mounts, automounts, and battery saver
  services = {
    gvfs.enable = true;
    udisks2.enable = true;
    tlp.enable = true;
  };

  # Security that only makes sense with a GUI
  security = {
    polkit.enable = true;
    rtkit.enable = true;
  };

  # Install programs system-wide
  environment.systemPackages = with pkgs; [
    cifs-utils
  ];
}
