{pkgs, outputs, ...}: {
  # DDClient for Dynamic IPs
  services.ddclient = {
    enable = true;
    protocol = "cloudflare";
    use = "web, web=https://ipinfo.io/ip";
    zone = "${outputs.secrets.jimDomain}";
    username = "token";
    passwordFile = "${pkgs.writeText "cloudflareapikey" outputs.secrets.flareApiKey}";
    domains = [
      "${outputs.secrets.jimDomain}"
      "*.${outputs.secrets.jimDomain}"
      "beta.${outputs.secrets.jimDomain}"
      "git.${outputs.secrets.jimDomain}"
      "john.${outputs.secrets.jimDomain}"
      "mc.${outputs.secrets.jimDomain}"
      "mx.${outputs.secrets.jimDomain}"
      "panel.${outputs.secrets.jimDomain}"
      "rtmp.${outputs.secrets.jimDomain}"
    ];
  };
}
