{outputs, ...}: {
  # Icecast, replacing Azuracast maybe
  services = {
    icecast = {
      enable = true;
      listen.port = 265;
      hostname = "icecast.${outputs.secrets.jimDomain}";
      admin = {
        user = "jimbo";
	password = "${outputs.secrets.castPass}";
      };
    };
    nginx.virtualHosts."icecast.${outputs.secrets.jimDomain}" =  {
      enableACME = true;
      forceSSL = true;
      locations."/" = {
        proxyPass = "http://127.0.0.1:265";
        proxyWebsockets = true;
      };
    };
  };
}
