{outputs, ...}: {
  services = {
    lemmy = {
      enable = true;
      nginx.enable = true;
      database.createLocally = true;
      settings = {
        hostname = "lemmy.${outputs.secrets.jimDomain}";
        email = {
          smtp_server = "mx.${outputs.secrets.jimDomain}:587";
          smtp_login = "noreply@${outputs.secrets.jimDomain}";
          smtp_from_address = "Jimbo's Lemmy <noreply@${outputs.secrets.jimDomain}>";
          smtp_password = outputs.secrets.noreplyPassword;
          tls_type = "starttls";
        };
      };
    };

    # Add SSL to webpage
    nginx.virtualHosts."lemmy.${outputs.secrets.jimDomain}" =  {
      enableACME = true;
      forceSSL = true;
    };
  };
}
