{pkgs, outputs, ...}: {
  services.mastodon = {
    enable = true;
    localDomain = "social.${outputs.secrets.jimDomain}";
    streamingProcesses = 4;
    configureNginx = true;
    smtp = {
      createLocally = false;
      host = "mx.${outputs.secrets.jimDomain}";
      port = 587;
      authenticate = true;
      fromAddress = "Jimbo's Mastodon <noreply@${outputs.secrets.jimDomain}>";
      user = "noreply@${outputs.secrets.jimDomain}";
      passwordFile = pkgs.writeText "smtp_pass.txt" outputs.secrets.noreplyPassword;
    };
  };
}
